package com.fidufosyga.rules;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;
import java.util.regex.Pattern;

import com.fidufosyga.context.Context;

/**
 * 
 * @author 
 */

public class ValidarTipoEntidadesTodas extends AbstractRule {

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String entidadArchivo = null;
		
		nombreArchivo = ((File) Context.getContext().getAttribute(
				Context.ARCHIVO_ACTUAL)).getName().substring(0, ((File) Context.getContext().getAttribute(
						Context.ARCHIVO_ACTUAL)).getName().indexOf("."));
		
		entidadArchivo = nombreArchivo.substring(2,8);
	
		System.out.println("EntidadArchivo 1: " + entidadArchivo.trim());
		System.out.println("EntidadArchivo 2: " + field.trim());
		
		if(entidadArchivo.trim().contains(field.trim()))
			return false;
		
		return true;
	}

}
